/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kmplayer_callback.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KMPLAYER_CALLBACK_STUB__
#define __KMPLAYER_CALLBACK_STUB__

#include <dcopstub.h>
#include <tqstringlist.h>
#include <dcopobject.h>

namespace KMPlayer {

class Callback_stub : virtual public DCOPStub
{
public:
    Callback_stub( const TQCString& app, const TQCString& id );
    Callback_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit Callback_stub( const DCOPRef& ref );
    virtual ASYNC statusMessage( int code, TQString msg );
    virtual ASYNC errorMessage( int code, TQString msg );
    virtual ASYNC subMrl( TQString mrl, TQString title );
    virtual ASYNC finished();
    virtual ASYNC playing();
    virtual ASYNC started( TQCString dcopname, TQByteArray data );
    virtual ASYNC movieParams( int length, int width, int height, float aspect, TQStringList alang, TQStringList slang );
    virtual ASYNC moviePosition( int position );
    virtual ASYNC loadingProgress( int percentage );
    virtual ASYNC toggleFullScreen();
protected:
    Callback_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
